org.apache.solr.spelling.suggest.fst

## Class AnalyzingInfixLookupFactory

- java.lang.Object
- - org.apache.solr.spelling.suggest.LookupFactory
  - - org.apache.solr.spelling.suggest.fst.AnalyzingInfixLookupFactory

- Direct Known Subclasses:
    BlendedInfixLookupFactory

      public class AnalyzingInfixLookupFactory
      extends LookupFactory

  Factory for `AnalyzingInfixSuggester`
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `ALL_TERMS_REQUIRED` Boolean clause matching option for multiple terms Default is true - all terms required.
    `static String` | `CONTEXTS_FIELD_NAME` Clone of CONTEXTS_FIELD_NAME in AnalyzingInfixSuggester
    `protected static String` | `HIGHLIGHT` Highlight suggest terms - default is true.
    `protected static String` | `INDEX_PATH` The path where the underlying index is stored if no index is found, it will be generated by the AnalyzingInfixSuggester
    `protected static String` | `MIN_PREFIX_CHARS` Minimum number of leading characters before PrefixQuery is used (default 4).
    `protected static String` | `QUERY_ANALYZER` The analyzer used at "query-time" and "build-time" to analyze suggestions.

    - ### Fields inherited from class org.apache.solr.spelling.suggest.LookupFactory

      `DEFAULT_FILE_BASED_DICT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnalyzingInfixLookupFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Lookup` | `create(NamedList params, SolrCore core)` Create a Lookup using config options in `params` and current `core`
    `String` | `storeFileName()` Returns the filename in which the in-memory data structure is stored

    - ### Methods inherited from class org.apache.solr.spelling.suggest.LookupFactory

      `getTempDir`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### QUERY_ANALYZER

          protected static final String QUERY_ANALYZER

      The analyzer used at "query-time" and "build-time" to analyze suggestions.
      See Also:
        Constant Field Values

    - #### INDEX_PATH

          protected static final String INDEX_PATH

      The path where the underlying index is stored if no index is found, it will be generated by the AnalyzingInfixSuggester
      See Also:
        Constant Field Values

    - #### MIN_PREFIX_CHARS

          protected static final String MIN_PREFIX_CHARS

      Minimum number of leading characters before PrefixQuery is used (default 4). Prefixes shorter than this are indexed as character ngrams (increasing index size but making lookups faster)
      See Also:
        Constant Field Values

    - #### ALL_TERMS_REQUIRED

          protected static final String ALL_TERMS_REQUIRED

      Boolean clause matching option for multiple terms Default is true - all terms required.
      See Also:
        Constant Field Values

    - #### HIGHLIGHT

          protected static final String HIGHLIGHT

      Highlight suggest terms - default is true.
      See Also:
        Constant Field Values

    - #### CONTEXTS_FIELD_NAME

          public static final String CONTEXTS_FIELD_NAME

      Clone of CONTEXTS_FIELD_NAME in AnalyzingInfixSuggester
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AnalyzingInfixLookupFactory

          public AnalyzingInfixLookupFactory()

  - ### Method Detail

    - #### create

          public Lookup create(NamedList params,
                               SolrCore core)

      Description copied from class: `LookupFactory`
      Create a Lookup using config options in `params` and current `core`
      Specified by:
        `create` in class `LookupFactory`

    - #### storeFileName

          public String storeFileName()

      Description copied from class: `LookupFactory`

      Returns the filename in which the in-memory data structure is stored

      NOTE: not all `Lookup` implementations store in-memory data structures
      Specified by:
        `storeFileName` in class `LookupFactory`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.